using System;
using System.Collections.Generic;
using Newtonsoft.Json;

namespace Tesses.CMS
{
    public class Movie
    {
        [JsonIgnore]
        public long Id {get;set;}

        public string ProperName {get;set;}="";

        public string Name {get;set;}="";
        [JsonIgnore]
        public long UserId {get;set;}

        public DateTime CreationTime {get;set;}
        public DateTime LastUpdated {get;set;}

        public string Description {get;set;}="";

        

        public object Scriban(string thumbnail)
        {
            return new {
                Proper =  System.Web.HttpUtility.HtmlEncode( ProperName),
                Name = System.Web.HttpUtility.HtmlEncode(Name),
                Description = System.Web.HttpUtility.HtmlEncode(Description),
                Thumbnail = thumbnail
            };
        }

    }
}